package models

type User struct {
	Id       int      `json:"id"`
	Name     string   `json:"user"`
	Email    string   `json:"email"`
	Role     string   `json:"role"`
	Password string   `json:"password,omitempty"`
	Settings Settings `json:"settings"`
}

func (u *User) IsValid() bool {
	return u.Name != ""
}
